From 5e764fc6addf726ab68a679c732b0322e73c84c6 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Gabriel=20Silva=20Sim=C3=B5es?= <simoes.sgabriel@gmail.com>
Date: Sun, 23 Jun 2019 12:06:57 -0300
Subject: [PATCH 1/2] build-style/cargo: add make_install_path variable

---
 common/build-style/cargo.sh | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/common/build-style/cargo.sh b/common/build-style/cargo.sh
index a2a0dfe3744..4436dbc97f5 100644
--- a/common/build-style/cargo.sh
+++ b/common/build-style/cargo.sh
@@ -16,8 +16,9 @@ do_check() {
 
 do_install() {
 	: ${make_cmd:=cargo}
+	: ${make_install_path:=.}
 
-	${make_cmd} install --path . --target ${RUST_TARGET} --root="${DESTDIR}/usr" \
+	${make_cmd} install --path ${make_install_path} --target ${RUST_TARGET} --root="${DESTDIR}/usr" \
 		${make_install_args}
 	rm "${DESTDIR}"/usr/.crates.toml
 }

From dc6d9c4b5874d9adcaa8a5c895c99513e81d3498 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Gabriel=20Silva=20Sim=C3=B5es?= <simoes.sgabriel@gmail.com>
Date: Sat, 22 Jun 2019 16:20:48 -0300
Subject: [PATCH 2/2] alacritty: update to 0.3.3

---
 srcpkgs/alacritty/INSTALL  |  2 +-
 srcpkgs/alacritty/template | 19 ++++++++++---------
 2 files changed, 11 insertions(+), 10 deletions(-)

diff --git a/srcpkgs/alacritty/INSTALL b/srcpkgs/alacritty/INSTALL
index 9111e31e411..4520ad1c690 100644
--- a/srcpkgs/alacritty/INSTALL
+++ b/srcpkgs/alacritty/INSTALL
@@ -1,6 +1,6 @@
 case "$ACTION" in
 post)
 	# Compile the terminfo description.
-	tic -sx usr/share/terminfo/a/alacritty.info
+    tic -xe alacritty,alacritty-direct usr/share/terminfo/a/alacritty.info
 	;;
 esac
diff --git a/srcpkgs/alacritty/template b/srcpkgs/alacritty/template
index 0601c94eed3..1acc2f56ae9 100644
--- a/srcpkgs/alacritty/template
+++ b/srcpkgs/alacritty/template
@@ -1,25 +1,26 @@
 # Template file for 'alacritty'
 pkgname=alacritty
-version=0.3.2
-revision=3
+version=0.3.3
+revision=1
 build_style=cargo
-hostmakedepends="pkg-config"
-makedepends="freetype-devel fontconfig-devel"
-depends="libXxf86vm xclip ncurses alacritty-terminfo-${version}_${revision}"
+make_install_path="alacritty"
+hostmakedepends="pkg-config python3"
+makedepends="freetype-devel fontconfig-devel libxcb-devel"
+depends="libXxf86vm ncurses alacritty-terminfo-${version}_${revision}"
 short_desc="Cross-platform, GPU-accelerated terminal emulator"
-maintainer="Andrea Brancaleoni <abc@pompel.me>"
+maintainer="Gabriel Silva Simoes <simoes.sgabriel@gmail.com>"
 license="Apache-2.0"
 homepage="https://github.com/jwilm/${pkgname}"
 changelog="https://raw.githubusercontent.com/jwilm/${pkgname}/v${version}/CHANGELOG.md"
 distfiles="https://github.com/jwilm/${pkgname}/archive/v${version}.tar.gz"
-checksum=e2bc5323d505d9d487b2fdfc29f82a77e18b17f92de3988742950471808272f7
+checksum=f5af7e0d143bd2b89f029ad3e3d000d3ceb9922fbf189f7cfe3a59c9626d4519
 
 post_install() {
 	vinstall extra/linux/alacritty.desktop 644 usr/share/applications
+	vinstall extra/logo/alacritty-term.svg 644 usr/share/pixmaps Alacritty.svg
+	vinstall extra/completions/alacritty.bash 644 usr/share/bash-completion/completions alacritty
 	vinstall extra/completions/_alacritty 644 usr/share/zsh/site-functions
-	vinstall extra/completions/alacritty.bash 644 usr/share/bash-completion/completions/alacritty
 	vinstall extra/completions/alacritty.fish 644 usr/share/fish/completions
-	vinstall extra/logo/alacritty-term.svg 644 usr/share/icons/hicolor/scalable/apps Alacritty.svg
 	vinstall extra/alacritty.info 644 usr/share/terminfo/a
 	vman extra/alacritty.man alacritty.1
 	vsconf alacritty.yml
